﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Windows.Data;
using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;

namespace ItemsCountBinding
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class MainVM : INotifyPropertyChanged
    {
        private ObservableCollection<DataItem> data;

        public MainVM()
        {
            data = new ObservableCollection<DataItem>();

            for (int i = 0; i < 50; i++)
            {
                data.Add(new DataItem
                {
                    ID = i,
                    Item = "Item " + i
                });
            }
        }


        public ObservableCollection<DataItem> Source
        {
            get
            {
                return data;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }

    public class DataItem
    {
        public int ID { get; set; }
        public string Item { get; set; }
    }
}
